Page MenuHomePhabricator

Downgrade mediawiki-codesniffer to 19 for MLEB extensions
Closed, ResolvedPublic

Description

v 20 of codesniffer allows to use safe PHP7.0 features. Since we support MediaWiki versions that still support PHP 5.x, we should for now avoid using PHP7.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2018, 10:50 AM
Vvjjkkii renamed this task from Downgrade mediawiki-codesniffer to 19 for MLEB extensions to rsbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from rsbaaaaaaa to Downgrade mediawiki-codesniffer to 19 for MLEB extensions.Jul 2 2018, 1:16 AM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 443779 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/Translate@master] Downgrade mediawiki-codesniffer to 19 for MLEB extensions

https://gerrit.wikimedia.org/r/443779

KartikMistry triaged this task as Medium priority.
KartikMistry moved this task from Backlog to In Progress on the Language-2018-July-September board.

Change 443779 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Downgrade mediawiki-codesniffer to 19 for MLEB extensions

https://gerrit.wikimedia.org/r/443779

Change 443783 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/UniversalLanguageSelector@master] Downgrade mediawiki-codesniffer to 19 for MLEB extensions

https://gerrit.wikimedia.org/r/443783

Change 443784 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/Babel@master] Downgrade mediawiki-codesniffer to 19 for MLEB extensions

https://gerrit.wikimedia.org/r/443784

Change 443786 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/cldr@master] Downgrade mediawiki-codesniffer to 19 for MLEB extensions

https://gerrit.wikimedia.org/r/443786

Change 443788 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/CleanChanges@master] Downgrade mediawiki-codesniffer to 19 for MLEB extensions

https://gerrit.wikimedia.org/r/443788

Change 443784 merged by jenkins-bot:
[mediawiki/extensions/Babel@master] Downgrade mediawiki-codesniffer to 19 for MLEB extensions

https://gerrit.wikimedia.org/r/443784

Change 443783 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Downgrade mediawiki-codesniffer to 19 for MLEB extensions

https://gerrit.wikimedia.org/r/443783

Change 443786 merged by jenkins-bot:
[mediawiki/extensions/cldr@master] Downgrade mediawiki-codesniffer to 19 for MLEB extensions

https://gerrit.wikimedia.org/r/443786

Change 443788 merged by jenkins-bot:
[mediawiki/extensions/CleanChanges@master] Downgrade mediawiki-codesniffer to 19 for MLEB extensions

https://gerrit.wikimedia.org/r/443788

Change 443895 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/LocalisationUpdate@master] Downgrade mediawiki-codesniffer to 19 for MLEB extensions

https://gerrit.wikimedia.org/r/443895

Change 443895 merged by jenkins-bot:
[mediawiki/extensions/LocalisationUpdate@master] Downgrade mediawiki-codesniffer to 19 for MLEB extensions

https://gerrit.wikimedia.org/r/443895

Liuxinyu970226 rescinded a token.
Liuxinyu970226 removed a subscriber: Liuxinyu970226.
KartikMistry closed this task as Resolved.Jul 11 2018, 6:51 AM